Subject: Re: Fwd: iproute2 / xtables / undefined symbol in m_ipt again

From: Stephen Hemminger <[email-masked]>
Date: Wed, 2 Jul 2008 12:10:12 -0700

On Wed, 2 Jul 2008 21:58:00 +0300
Denys Fedoryshchenko <[email-masked]> wrote:

> I did test on vanilla iptables and git iproute2.
> Only thing i change - corrected path to libraries in iproute2 sources.
> 
> How it can work correctly if iptables doesn't add param_act (which is inside xtables.o) to anything else than iptables/ip6tables/iptables-restore/iptables-multi binaries?
> It is physically impossible. Possibly your iproute2 using old iptables library, since in new one path to libraries is changed.
> 
> The new iptables will show:
> tablename: mangle hook: NF_IP_PRE_ROUTING
>         target: MARK xset 0xc8/0xffffffff  index 0
> 
> old:
> tablename: mangle hook: NF_IP_PRE_ROUTING
>         target: MARK set 0xcb  index 0
> 
> Command:
>     $TC filter add dev $2 parent ffff: protocol ip prio 10 u32 \
>       match u32 0 0 flowid 1:1 \
>       action ipt -j MARK --set-mark ${id} \
>       action mirred egress redirect dev ifb0
> 
> On Wednesday 02 July 2008, Stephen Hemminger wrote:
> > 
> > This needs more investigation.  I think it is more of problem with your iptables
> > library installation than iproute. It works fine for me build/run on Ubuntu Hardy.
> > 
> 
> 
> 

Ubuntu ships iptables 1.3.8 and Debian ships 1.4.0 in Lenny(testing), 1.3.6 in Sarge (stable[ancient])
Iptables needs to build/install working complete libraries. I'm not going to drag bits
and pieces back to iproute

If iptables